features:
  secondary:
    - name: "Automatically embed metrics in issue for all gitlab-configured alerts"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/incident_management/#auto-creation'
      reporter: sarahwaldner
      stage: monitor
      categories:
        - 'Error Tracking'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/119016'
      description: |
        GitLab Incident Management can create issues automatically when the Prometheus alert is triggered. Metrics charts help to visualize what anomaly caused the alert. Previously, charts could be embedded into the issue description, but this required manually grabbing the chart URL and pasting it into the issue.

        Now, as of 12.9, a chart visualization for the metric that exceeded the threshold is automatically embedded in the issue description. This visualization saves you time in a firefight. You get critical information right away, without needing to go to an external source and perform a manual setup.

        Note: This new capability will only work for alerts configured from the Metrics Dashboard within GitLab. In a future iteration, we plan to [enable automatic charts for all Prometheus alerts](https://gitlab.com/gitlab-org/gitlab/issues/195739) regardless of how they are set up.  
